Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
numthry.cpp File Reference
`#include <botan/numthry.h>`
`#include <botan/reducer.h>`
`#include <botan/internal/bit_ops.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/ct_utils.h>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
size_t | Botan::almost_montgomery_inverse (BigInt &result, const BigInt &a, const BigInt &p)
BigInt | Botan::ct_inverse_mod_odd_modulus (const BigInt &n, const BigInt &mod)
BigInt | Botan::gcd (const BigInt &a, const BigInt &b)
BigInt | Botan::inverse_mod (const BigInt &n, const BigInt &mod)
bool | Botan::is_prime (const BigInt &n, RandomNumberGenerator &rng, size_t prob, bool is_random)
BigInt | Botan::lcm (const BigInt &a, const BigInt &b)
size_t | Botan::low_zero_bits (const BigInt &n)
word | Botan::monty_inverse (word input)
BigInt | Botan::normalized_montgomery_inverse (const BigInt &a, const BigInt &p)
BigInt | Botan::power_mod (const BigInt &base, const BigInt &exp, const BigInt &mod)